ONLINE BANKING ALERT:Retail Online Banking has a fresh, new look beginning August 9th. Business Online Banking to be updated at a later date.

PERSONAL BANKING

Online and Mobile Banking Security – System Requirements

 

In compliance with industry standard best practices and in order to provide you with a reliable and more secure connection to Online Banking, First Landmark Bank has disabled access to Online Banking from browsers that do not support SSL version TLS 1.2.

 

While most PC/Browser combinations currently in use support TLS 1.2, there is a chance that it may not be enabled in your browser settings. This could be especially true if you are using an older browser version. If you cannot access Online Banking, please update your browser to a newer version that supports TLS 1.2 (see chart below for compatibility) or follow the instructions below chart to enable TLS 1.2.

 

Browser TLS 1.2 Compatibility Notes
Microsoft Edge Compatible by default
Desktop and mobile versions Compatible by default
Microsoft Internet Explorer (IE)
Desktop and mobile IE version 11 Compatible by default
Desktop IE versions 9 and 10 Capable when run in Windows 7 or newer, but not by default.
Desktop IE versions 8 and below Not compatible or stable with TLS 1.2 encryption.
Mozilla Firefox Compatible with the most recent, stable version, regardless of operating system
Firefox 27 and higher Compatible by default
Firefox 23 to 26 Capable, but not by default.
Firefox 22 and below Not compatible with TLS 1.2 or higher encryption.
Google Chrome Compatible with the most recent, stable version, regardless of operating system
Google Chrome 38 and higher Compatible by default
Google Chrome 22 to 37 Capable when run in Windows XP SP3, Vista, or newer (desktop), OS X 10.6 (Snow Leopard) or newer (desktop), or Android 2.3 (Gingerbread) or newer (mobile)
Google Chrome 21 and below Not compatible with TLS 1.2 encryption.
Google Android OS Browser
Android 6.0 (Marshmellow) and higher Compatible by default
Android 5.0 (Lollipop) and higher Compatible by default
Android 4.4 (KitKat) to 4.4.4 Capable, but not by default.
Android 4.3 (Jelly Bean) and below Not compatible with TLS 1.2 encryption.
Apple Safari
Desktop Safari versions 7 and higher for OS X 10.9 (Mavericks) and higher Compatible by default
Desktop Safari versions 6 and below for OS X 10.8 (Mountain Lion) and below Not compatible with TLS 1.2 encryption.
Mobile Safari versions 5 and higher for iOS 5 and higher Compatible by default
Mobile Safari for iOS 4 and below Not compatible with TLS 1.2 encryption.

 

Enabling TLS 1.2


Internet Explorer
  • Open Internet Explorer
  • Click Alt+T and select Internet Options
  • Select the Advanced tab
  • Scroll down to the Security section
  • Locate and check Use TLS 1.2
  • Then, press the OK button

Google Chrome
  • Open Google Chrome
  • Click Alt+F and select Settings
  • Scroll down and select Show advanced settings...
  • Scroll down to the Network section and click on Change proxy settings...
  • Select the Advanced tab
  • Scroll down to the Security section
  • Locate and check Use TLS 1.2
  • Then, press the OK button

FireFox
  • Open FireFox
  • Type in "about:config" in the URL bar and press Enter
  • Scroll down to "security.tls.version.max" and press Enter
  • Set the value to 3
  • Then, press the OK button

  • Opera
  • Open Opera
  • Click Ctrl+F12
  • Click on Security
  • Click on Security Protocols...
  • Check on Enable TLS 1.2 Press the OK button

  • Safari
    There are no options for enabling SSL protocols. If you are using Safari version 7 or greater, TLS is automatically enabled.


    NOTE: Unfortunately, Windows XP and Windows Vista are only capable of upgrading up to Internet Explorer version 8, which does not support TLS 1.2. Therefore, users of these operating systems using Internet Explorer as their browser will not be able to connect to Online Banking. In order to establish or access Online Banking with First Landmark Bank, please install the latest version of another browser such as Chrome or FireFox.